class 'code_number'
function code_number:__init()

 self.positionDown=nil
 self.positionUp=nil
 self.positionSenter=nil


 self.power=nil
self.index=nil
 self.object=nil
 self.tween=nil
end



function code_number:setObject(param)
  self.object=param
end
function code_number:getObject()
 return self.object
end

function code_number:setPosSenter(param)
  self.positionSenter=param
end
function code_number:getPosSenter()
  return self.positionSenter
end

function code_number:setPosUp(param)
  self.positionUp=param
end
function code_number:getPosUp()
  return self.positionUp
end

function code_number:setPosDown(param)
  self.positionDown=param
end
function code_number:getPosDown()
  return self.positionDown
end

function code_number:setPower(param)
  self.powe=param
end
function code_number:getPower()
  return self.powe
end

function code_number:setIndex(param)
  self.index=param
end
function code_number:getIndex()
  return self.index
end


function code_number:setTween(param)
  self.tween=param
end
function code_number:getTween()
  return self.tween
end

--function code_number:getState()
-- return self.state
--end


